import { defineComponent as c, toRefs as a, openBlock as g, createElementBlock as m, createVNode as o, unref as e, createElementVNode as t } from "vue";
import n from "../../../NComponents/configCommon/refConfig.vue_vue_type_script_setup_true_lang.mjs";
const p = { class: "com_19" }, u = { class: "com_19_3" }, d = { class: "com_19_1" }, C = c({ name: "EComponent19" }), E = /* @__PURE__ */ c({
  ...C,
  props: {
    chartConfig: {
      type: Object,
      required: !0
    }
  },
  setup(i) {
    const s = i, { titleConfig: f, imageConfig: _, valueConfig: l, bgImgConfig: h, unitConfig: r } = a(s.chartConfig.option);
    return (y, b) => (g(), m("div", p, [
      o(n, {
        type: "img",
        config: e(_),
        class: "com_19_bg"
      }, null, 8, ["config"]),
      t("div", u, [
        t("div", d, [
          o(n, {
            type: "number",
            config: e(l),
            class: "num"
          }, null, 8, ["config"]),
          o(n, {
            type: "text",
            config: e(r),
            class: "unit"
          }, null, 8, ["config"])
        ]),
        o(n, {
          type: "text",
          config: e(f)
        }, null, 8, ["config"])
      ])
    ]));
  }
});
export {
  E as default
};
